#!/bin/bash


# Now the main part: the script below "downloads" the webpage and parses it 
# for the information we need. 
# the search patterns below work only for stocks (like MSFT or GOOG), 
# not mutual funds  and other traded items

# The line below defines the URL and the query string
prefix="http://finance.yahoo.com/q?s="
#prefix="http://data.cnbc.com/quotes/"

rm stock.dat

mytotal=0

for i
do
	url=$prefix$i
#Use wget on Linux
#curl is available on OSX
# 	wget $url -o /dev/null -O page.txt
        curl $url -o  page.txt 2>/dev/null

       	val=` grep "time_rtq_ticker" page.txt | awk 'BEGIN{FS = "</span></span>" }{ print $1 }' | awk 'BEGIN{FS = "\">" }{ print $13 }' `

	echo 
	echo "------------------------------------------------------"
	echo "On `date` , the stock of" "(" $i ") is priced at $"$val 
	echo "------------------------------------------------------"
	echo


	echo $val >> stock.dat

done


xmgrace  stock.dat

# mop up 
rm page.txt
